/***文档注释***********************************************
 * 作者            ：
 * 创建日期     ：2019-07-24
 * 描述            ：工模辅具价值表
 * 注意事项     ：
 * 遗留BUG   ：
 * 修改日期     ：
 * 修改人员     ：
 * 修改内容     ：
***********************************************************/
package market.Cm.vo;
import java.io.Serializable;
import java.util.Date;

import market.Cm.mapper.CmReportAssShareMapper;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hnshituo.basic.vo.BaseVO;
import com.hnshituo.orm.annotation.Column;
import com.hnshituo.orm.annotation.Table;

@Table(name="CM_REPORT_ASS_SHARE", namespace=CmReportAssShareMapper.class)
public class CmReportAssShare extends BaseVO implements Serializable {
	

	/**
	 * 
	 */
	private static final long serialVersionUID = -140824999192054089L;
	/** 
	 * null
	 */ 
	@Column
	private String item_code;
	public String getItem_code() {
		return this.item_code;
	}
	public void setItem_code(String item_code) {
		this.item_code = item_code;
	}

	/** 
	 * null
	 */ 
	@Column
	private String item_name;
	public String getItem_name() {
		return this.item_name;
	}
	public void setItem_name(String item_name) {
		this.item_name = item_name;
	}

	/** 
	 * null
	 */ 
	@Column
	private String org_code;
	public String getOrg_code() {
		return this.org_code;
	}
	public void setOrg_code(String org_code) {
		this.org_code = org_code;
	}

	/** 
	 * null
	 */ 
	@Column
	private String org_name;
	public String getOrg_name() {
		return this.org_name;
	}
	public void setOrg_name(String org_name) {
		this.org_name = org_name;
	}

	/** 
	 * null
	 */ 
	@Column
	private String prd_num;
	public String getPrd_num() {
		return this.prd_num;
	}
	public void setPrd_num(String prd_num) {
		this.prd_num = prd_num;
	}

	/** 
	 * 上期原值
	 */ 
	@Column
	private Double start_original_value;
	public Double getStart_original_value() {
		return this.start_original_value;
	}
	public void setStart_original_value(Double start_original_value) {
		this.start_original_value = start_original_value;
	}

	/** 
	 * 本期原值
	 */ 
	@Column
	private Double input_original_value;
	public Double getInput_original_value() {
		return this.input_original_value;
	}
	public void setInput_original_value(Double input_original_value) {
		this.input_original_value = input_original_value;
	}

	/** 
	 * 累计原值
	 */ 
	@Column
	private Double end_original_value;
	public Double getEnd_original_value() {
		return this.end_original_value;
	}
	public void setEnd_original_value(Double end_original_value) {
		this.end_original_value = end_original_value;
	}

	/** 
	 * 上期摊销
	 */ 
	@Column
	private Double start_share_value;
	public Double getStart_share_value() {
		return this.start_share_value;
	}
	public void setStart_share_value(Double start_share_value) {
		this.start_share_value = start_share_value;
	}

	/** 
	 * 本期摊销
	 */ 
	@Column
	private Double input_share_value;
	public Double getInput_share_value() {
		return this.input_share_value;
	}
	public void setInput_share_value(Double input_share_value) {
		this.input_share_value = input_share_value;
	}

	/** 
	 * 累计摊销
	 */ 
	@Column
	private Double end_share_value;
	public Double getEnd_share_value() {
		return this.end_share_value;
	}
	public void setEnd_share_value(Double end_share_value) {
		this.end_share_value = end_share_value;
	}

	/** 
	 * 净值
	 */ 
	@Column
	private Double end_value;
	public Double getEnd_value() {
		return this.end_value;
	}
	public void setEnd_value(Double end_value) {
		this.end_value = end_value;
	}

	/** 
	 * null
	 */ 
	@Column
	private String memo;
	public String getMemo() {
		return this.memo;
	}
	public void setMemo(String memo) {
		this.memo = memo;
	}

	/** 
	 * null
	 */ 
	@Column
	private String valid_flg;
	public String getValid_flg() {
		return this.valid_flg;
	}
	public void setValid_flg(String valid_flg) {
		this.valid_flg = valid_flg;
	}

	/** 
	 * null
	 */ 
	@Column
	private String audit_flg;
	public String getAudit_flg() {
		return this.audit_flg;
	}
	public void setAudit_flg(String audit_flg) {
		this.audit_flg = audit_flg;
	}

	/** 
	 * null
	 */ 
	@Column
	private String audit_man;
	public String getAudit_man() {
		return this.audit_man;
	}
	public void setAudit_man(String audit_man) {
		this.audit_man = audit_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date audit_time;
	public Date getAudit_time() {
		return this.audit_time;
	}
	public void setAudit_time(Date audit_time) {
		this.audit_time = audit_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String create_man;
	public String getCreate_man() {
		return this.create_man;
	}
	public void setCreate_man(String create_man) {
		this.create_man = create_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date create_time;
	public Date getCreate_time() {
		return this.create_time;
	}
	public void setCreate_time(Date create_time) {
		this.create_time = create_time;
	}

	/** 
	 * null
	 */ 
	@Column
	private String update_man;
	public String getUpdate_man() {
		return this.update_man;
	}
	public void setUpdate_man(String update_man) {
		this.update_man = update_man;
	}

	/** 
	 * null
	 */ 
	@Column
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date update_time;
	public Date getUpdate_time() {
		return this.update_time;
	}
	public void setUpdate_time(Date update_time) {
		this.update_time = update_time;
	}

}
